#!/bin/bash

echo "-- $0 --"

. /etc/profile

# 
sed -i -e 's/^/#"/' /etc/fstab

# todo: "${ROOTDISK}"1

# reiserfs
if [ "$FSTYPE" = "reiserfs" ]; then

cat <<_EOF_ >>/etc/fstab
/dev/sda1        /              reiserfs        noatime,nodiratime,notail  1 2
/dev/sda2        none           swap            sw                       0 0
_EOF_

# ext4
elif [ "$FSTYPE" = "ext4" ]; then

cat <<_EOF_ >>/etc/fstab
/dev/sda1        /              ext4            noatime,nodiratime       1 2
/dev/sda2        none           swap            sw                       0 0
_EOF_

fi
